# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/ilitek,ili9322.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Ilitek ILI9322 TFT panel driver with SPI control bus

maintainers:
  - Linus Walleij <linus.walleij@linaro.org>

description: |
  This is a driver for 320x240 TFT panels, accepting a variety of input
  streams that get adapted and scaled to the panel. The panel output has
  960 TFT source driver pins and 240 TFT gate driver pins, VCOM, VCOML and
  VCOMH outputs.

  The panel must obey the rules for a SPI slave device as specified in
  spi/spi-controller.yaml

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    items:
      - enum:
          - dlink,dir-685-panel
      - const: ilitek,ili9322

  reset-gpios: true
  port: true

  vcc-supply:
    description: Core voltage supply

  iovcc-supply:
    description: Voltage supply for the interface input/output signals

  vci-supply:
    description: Voltage supply for analog parts

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    spi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel: display@0 {
            compatible = "dlink,dir-685-panel", "ilitek,ili9322";
            reg = <0>;
            vcc-supply = <&vdisp>;
            iovcc-supply = <&vdisp>;
            vci-supply = <&vdisp>;

            port {
                panel_in: endpoint {
                    remote-endpoint = <&display_out>;
                };
            };
        };
    };

...
